Gecode::Float::Bool::Ite< View > Class Template Reference
Other available functionality » Float propagators

If-then-else propagator. More...

`#include <bool.hh>`

## Public Member Functions

virtual PropCost | cost (const Space &home, const ModEventDelta &med) const
| Cost function (defined as low ternary).
virtual void | reschedule (Space &home)
| Schedule function.
virtual Actor * | copy (Space &home)
| Copy propagator during cloning.
virtual ExecStatus | propagate (Space &home, const ModEventDelta &med)
| Perform propagation.
virtual size_t | dispose (Space &home)
| Delete propagator and return its size.
ModEventDelta | modeventdelta (void) const
| Return the modification event delta.
virtual ExecStatus | advise (Space &home, Advisor &a, const Delta &d)
| Advise function.
virtual void | advise (Space &home, Advisor &a)
| Run advisor a to be run on failure in failed space.
double | afc (void) const
| Return the accumlated failure count.
unsigned int | id (void) const
| Return propagator id.
PropagatorGroup | group (void) const
| Return group propagator belongs to.
void | group (PropagatorGroup g)
| Add propagator to group g.
bool | disabled (void) const
| Whether propagator is currently disabled.
virtual | ~Actor (void)
| To avoid warnings.

## Static Public Member Functions

static ExecStatus | post (Home home, Int::BoolView b, View x0, View x1, View x2)
| Post if-then-else propagator.
static void * | operator new (size_t s, Space &home)
| Allocate memory from space.
static void | operator delete (void *p, Space &home)
| No-op for exceptions.
static void * | operator new (size_t s)
| Not used.
static void | operator delete (void *p)
| Not used.

## Protected Member Functions

| Ite (Space &home, Ite &p)
| Constructor for cloning p.
| Ite (Home home, Int::BoolView b, View x0, View x1, View x2)
| Constructor for creation.
Protected Member Functions inherited from Gecode::Propagator
| Propagator (Home home)
| Constructor for posting.
| Propagator (Space &home, Propagator &p)
| Constructor for cloning p.
Propagator * | fwd (void) const
| Return forwarding pointer during copying.
Kernel::GPI::Info & | gpi (void)
| Provide access to global propagator information.

## Protected Attributes

Int::BoolView | b
| View for condition.
View | x0
| Views.
View | x1
View | x2

## Detailed Description

template<class View>
class Gecode::Float::Bool::Ite< View >

If-then-else propagator.

Requires

#include <gecode/float/bool.hh>
bool.hh

Definition at line 53 of file bool.hh.

## Constructor & Destructor Documentation

## Ite() [1/2]

template<class View>

Gecode::Float::Bool::Ite< View >::Ite | ( | Space & | home,
|  | Ite< View > & | p )

protected

Constructor for cloning p.

## Ite() [2/2]

template<class View>

Gecode::Float::Bool::Ite< View >::Ite | ( | Home | home,
|  | Int::BoolView | b,
|  | View | x0,
|  | View | x1,
|  | View | x2 )

inline protected

Constructor for creation.

Definition at line 40 of file ite.hpp.

## Member Function Documentation

## cost()

template<class View>

PropCost Gecode::Float::Bool::Ite< View >::cost | ( | const Space & | home,
|  | const ModEventDelta & | med ) const

virtual

Cost function (defined as low ternary).

Implements Gecode::Propagator.

Definition at line 60 of file ite.hpp.

## reschedule()

template<class View>

void Gecode::Float::Bool::Ite< View >::reschedule | ( | Space & | home | ) |

virtual

Schedule function.

Implements Gecode::Propagator.

Definition at line 66 of file ite.hpp.

## copy()

template<class View>

Actor * Gecode::Float::Bool::Ite< View >::copy | ( | Space & | home | ) |

virtual

Copy propagator during cloning.

Implements Gecode::Actor.

Definition at line 88 of file ite.hpp.

## propagate()

template<class View>

ExecStatus Gecode::Float::Bool::Ite< View >::propagate | ( | Space & | home,
|  | const ModEventDelta & | med )

virtual

Perform propagation.

Implements Gecode::Propagator.

Definition at line 107 of file ite.hpp.

## post()

template<class View>

ExecStatus Gecode::Float::Bool::Ite< View >::post | ( | Home | home,
|  | Int::BoolView | b,
|  | View | x0,
|  | View | x1,
|  | View | x2 )

inline static

Post if-then-else propagator.

Definition at line 94 of file ite.hpp.

## dispose()

template<class View>

size_t Gecode::Float::Bool::Ite< View >::dispose | ( | Space & | home | ) |

inline virtual

Delete propagator and return its size.

Reimplemented from Gecode::Actor.

Definition at line 75 of file ite.hpp.

## Member Data Documentation

## b

template<class View>

Int::BoolView Gecode::Float::Bool::Ite< View >::b

protected

View for condition.

Definition at line 56 of file bool.hh.

## x0

template<class View>

View Gecode::Float::Bool::Ite< View >::x0

protected

Views.

Definition at line 58 of file bool.hh.

## x1

template<class View>

View Gecode::Float::Bool::Ite< View >::x1

protected

Definition at line 58 of file bool.hh.

## x2

template<class View>

View Gecode::Float::Bool::Ite< View >::x2

protected

Definition at line 58 of file bool.hh.

The documentation for this class was generated from the following files:

- gecode/float/bool.hh
- gecode/float/bool/ite.hpp